Token payroll
Manage Token Payroll Contributors
Replaces all contributors of a DRAFT token payroll with the supplied active employee seats and amounts.
POSThttps://api.toku.com/stablecoin-payroll/manage-token-payroll-contributors
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/manage-token-payroll-contributors' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contributors": [
{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"totalPayrollAmount": "string",
"totalDeductionAmount": "string",
"netPayrollAmount": "string"
}
]
}'200 response
{
"contributors": [
{
"contributorInTokenPayrollID": "string",
"tokenPayrollID": "string",
"roleInOrgID": "string",
"totalPayrollAmount": "string",
"totalDeductionAmount": "string",
"netPayrollAmount": "string",
"roleInOrg": {
"roleInOrgID": "string",
"roleInOrgExternalID": 0,
"externalEmployeeID": "string",
"person": {
"fullName": "string",
"givenName": "string",
"familyName": "string"
}
}
}
],
"error": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIdstring<uuid>requiredcontributorsobject[]requiredShow child attributes
roleInOrgIDstring<uuid>requiredtotalPayrollAmountstringrequiredAllowed: matches ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
totalDeductionAmountstringrequiredAllowed: matches ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
netPayrollAmountstringrequiredAllowed: matches ^(?:0|[1-9]\d{0,13})(?:\.\d{1,6})?$
Response
200Successful response
contributorsobject[]requiredShow child attributes
contributorInTokenPayrollIDstringrequiredtokenPayrollIDstringrequiredroleInOrgIDstringrequiredtotalPayrollAmountstringrequiredtotalDeductionAmountstringrequirednetPayrollAmountstringrequiredroleInOrgobjectrequiredShow child attributes
roleInOrgIDstringrequiredroleInOrgExternalIDinteger | nullrequiredexternalEmployeeIDstring | nullrequiredpersonobjectrequiredShow child attributes
fullNamestringrequiredgivenNamestringrequiredfamilyNamestringrequirederrorstring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits